## Index

### Variables

- asyncExec

### Functions

- connectionString
- createdb
- dropdb
- templatedb

## Variables

### asyncExec

asyncExec: __promisify__ = promisify(exec)

- Defined in lib/db.ts:6

## Functions

### connectionString

- connectionString(__namedParameters: object): string

- - Defined in lib/db.ts:60

  #### Parameters

  - ##### __namedParameters: object

    - ##### database: undefined | string

    - ##### host: undefined | string

    - ##### password: undefined | string

    - ##### port: undefined | number

    - ##### user: undefined | string

  #### Returns string

### createdb

- createdb(__namedParameters: object): Promise<object>

- - Defined in lib/db.ts:25

  #### Parameters

  - ##### __namedParameters: object

    - ##### database: undefined | string

    - ##### host: undefined | string

    - ##### password: undefined | string

    - ##### port: undefined | number

    - ##### user: undefined | string

  #### Returns Promise<object>

### dropdb

- dropdb(__namedParameters: object): Promise<object>

- - Defined in lib/db.ts:8

  #### Parameters

  - ##### __namedParameters: object

    - ##### database: undefined | string

    - ##### host: undefined | string

    - ##### password: undefined | string

    - ##### port: undefined | number

    - ##### user: undefined | string

  #### Returns Promise<object>

### templatedb

- templatedb(__namedParameters: object): Promise<object>

- - Defined in lib/db.ts:42

  #### Parameters

  - ##### __namedParameters: object

    - ##### database: undefined | string

    - ##### host: undefined | string

    - ##### password: undefined | string

    - ##### port: undefined | number

    - ##### template: undefined | string

    - ##### user: undefined | string

  #### Returns Promise<object>

Generated using TypeDoc